Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227063 - Review Request: jakarta-commons-cli-1.0-7jpp - Jakarta Commons CLI, a Command Line Interface for Java
Summary: Review Request: jakarta-commons-cli-1.0-7jpp - Jakarta Commons CLI, a Command...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:38 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 15:21:14 UTC
pcheung: fedora-review+
jwboyer: fedora-cvs-


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:38:17 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jakarta-commons-cli-1.0-7jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jakarta-commons-cli-1.0-7jpp.src.rpm
Description: The CLI library provides a simple and easy to use API for working with
the command line arguments and options.

Javadoc for jakarta-commons-cli.

Comment 1 Permaine Cheung 2007-02-12 22:58:41 UTC
MUST:
* package is named appropriately
* is it legal for Fedora to distribute this?
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
* skim the summary and description for typos, etc.
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
 - OK: W: jakarta-commons-cli non-standard-group Development/Libraries/Java
* changelog should be in one of these formats:
* Packager tag should not be used
X Vendor tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - add %define _with_gcj_support 1
 - remove Vendor and Distribution tag
 - fix release tag: 8jpp.1%{?dist}
 - Requires jpackage-utils in post, postun until javadoc is fixed, after that it
can be just a Require
* package successfully compiles and builds on at least x86
* BuildRequires are proper
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
X make sure lines are <= 80 characters
line 109, 110 are longer than 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
* don't use %makeinstall
* locale data handling correct (find_lang)
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@topcat downloads]$ rpm -qpl --provides
/home/pcheung/topdir/RPMS/noarch/jakarta-commons-cli-1.0-8jpp.noarch.rpm
jakarta-commons-cli = 0:1.0-8jpp
/usr/share/doc/jakarta-commons-cli-1.0
/usr/share/doc/jakarta-commons-cli-1.0/LICENSE.txt
/usr/share/doc/jakarta-commons-cli-1.0/README.txt
/usr/share/java/commons-cli-1.0.jar
/usr/share/java/commons-cli.jar
/usr/share/java/jakarta-commons-cli-1.0.jar
/usr/share/java/jakarta-commons-cli.jar
[pcheung@topcat downloads]$ rpm -qpl --requires
/home/pcheung/topdir/RPMS/noarch/jakarta-commons-cli-1.0-8jpp.noarch.rpm
jakarta-commons-lang
jakarta-commons-logging
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/share/doc/jakarta-commons-cli-1.0
/usr/share/doc/jakarta-commons-cli-1.0/LICENSE.txt
/usr/share/doc/jakarta-commons-cli-1.0/README.txt
/usr/share/java/commons-cli-1.0.jar
/usr/share/java/commons-cli.jar
/usr/share/java/jakarta-commons-cli-1.0.jar
/usr/share/java/jakarta-commons-cli.jar
[pcheung@topcat downloads]$ rpm -qpl --provides
/home/pcheung/topdir/RPMS/noarch/jakarta-commons-cli-javadoc-1.0-8jpp.noarch.rpm
jakarta-commons-cli-javadoc = 0:1.0-8jpp
/usr/share/javadoc/jakarta-commons-cli-1.0
/usr/share/javadoc/jakarta-commons-cli-1.0/allclasses-frame.html
/usr/share/javadoc/jakarta-commons-cli-1.0/allclasses-noframe.html
/usr/share/javadoc/jakarta-commons-cli-1.0/constant-values.html
/usr/share/javadoc/jakarta-commons-cli-1.0/deprecated-list.html
/usr/share/javadoc/jakarta-commons-cli-1.0/help-doc.html
/usr/share/javadoc/jakarta-commons-cli-1.0/index-all.html
/usr/share/javadoc/jakarta-commons-cli-1.0/index.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/AlreadySelectedException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/BasicParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/CommandLine.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/CommandLineParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/GnuParser.html/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/HelpFormatter.StringBufferComparator.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/HelpFormatter.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/MissingArgumentException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/MissingOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/Option.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/OptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/OptionGroup.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/Options.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/ParseException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/Parser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/PatternOptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/PosixParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/TypeHandler.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/UnrecognizedOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/AlreadySelectedException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/BasicParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/CommandLine.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/CommandLineParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/GnuParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/HelpFormatter.StringBufferComparator.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/HelpFormatter.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/MissingArgumentException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/MissingOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/Option.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/OptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/OptionGroup.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/Options.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/ParseException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/Parser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/PatternOptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/PosixParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/TypeHandler.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/UnrecognizedOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-frame.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-summary.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-tree.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-use.html
/usr/share/javadoc/jakarta-commons-cli-1.0/overview-tree.html
/usr/share/javadoc/jakarta-commons-cli-1.0/package-list
/usr/share/javadoc/jakarta-commons-cli-1.0/packages.html
/usr/share/javadoc/jakarta-commons-cli-1.0/resources
/usr/share/javadoc/jakarta-commons-cli-1.0/resources/inherit.gif
/usr/share/javadoc/jakarta-commons-cli-1.0/serialized-form.html
/usr/share/javadoc/jakarta-commons-cli-1.0/stylesheet.css
[pcheung@topcat downloads]$ rpm -qpl --requires
/home/pcheung/topdir/RPMS/noarch/jakarta-commons-cli-javadoc-1.0-8jpp.noarch.rpm
/bin/ln
/bin/rm
/bin/rm
/bin/sh
/bin/sh
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/share/javadoc/jakarta-commons-cli-1.0
/usr/share/javadoc/jakarta-commons-cli-1.0/allclasses-frame.html
/usr/share/javadoc/jakarta-commons-cli-1.0/allclasses-noframe.html
/usr/share/javadoc/jakarta-commons-cli-1.0/constant-values.html
/usr/share/javadoc/jakarta-commons-cli-1.0/deprecated-list.html
/usr/share/javadoc/jakarta-commons-cli-1.0/help-doc.html
/usr/share/javadoc/jakarta-commons-cli-1.0/index-all.html
/usr/share/javadoc/jakarta-commons-cli-1.0/index.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/AlreadySelectedException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/BasicParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/CommandLine.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/CommandLineParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/GnuParser.html/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/HelpFormatter.StringBufferComparator.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/HelpFormatter.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/MissingArgumentException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/MissingOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/Option.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/OptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/OptionGroup.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/Options.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/ParseException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/Parser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/PatternOptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/PosixParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/TypeHandler.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/UnrecognizedOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/AlreadySelectedException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/BasicParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/CommandLine.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/CommandLineParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/GnuParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/HelpFormatter.StringBufferComparator.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/HelpFormatter.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/MissingArgumentException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/MissingOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/Option.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/OptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/OptionGroup.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/Options.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/ParseException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/Parser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/PatternOptionBuilder.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/PosixParser.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/TypeHandler.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/class-use/UnrecognizedOptionException.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-frame.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-summary.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-tree.html
/usr/share/javadoc/jakarta-commons-cli-1.0/org/apache/commons/cli/package-use.html
/usr/share/javadoc/jakarta-commons-cli-1.0/overview-tree.html
/usr/share/javadoc/jakarta-commons-cli-1.0/package-list
/usr/share/javadoc/jakarta-commons-cli-1.0/packages.html
/usr/share/javadoc/jakarta-commons-cli-1.0/resources
/usr/share/javadoc/jakarta-commons-cli-1.0/resources/inherit.gif
/usr/share/javadoc/jakarta-commons-cli-1.0/serialized-form.html
/usr/share/javadoc/jakarta-commons-cli-1.0/stylesheet.css
 
* run rpmlint on the binary RPMs
W: jakarta-commons-cli non-standard-group Development/Libraries/Java
W: jakarta-commons-cli-javadoc non-standard-group Development/Documentation
W: jakarta-commons-cli-javadoc dangerous-command-in-%post rm
W: jakarta-commons-cli-javadoc dangerous-command-in-%postun rm
 
SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock


Comment 2 Deepak Bhole 2007-02-15 02:27:47 UTC
Fixed spec and srpm:

http://people.redhat.com/dbhole/fedora/j-c-cli/

fixed buildroot
removed vendor/distribution tag
removed %section
curbed lines > 80 characters
added requires on java and jpackage-utils


Comment 3 Permaine Cheung 2007-02-15 03:49:45 UTC
Looks good. Approved.
Final rpmlint ran on mock built packages:
[pcheung@to-fcjpp1 tmp]$ rpmlint  
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jakarta-commons-cli-*rpm
W: jakarta-commons-cli non-standard-group Development/Libraries/Java
W: jakarta-commons-cli non-standard-group Development/Libraries/Java

Just for record keeping, I did the provides and requires on the mock built rpms:
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jakarta-commons-cli-1.0-8jpp.1.fc7.src.rpm
ant >= 0:1.6
ant-junit >= 0:1.6
junit
jakarta-commons-lang
jakarta-commons-logging
jpackage-utils >= 0:1.5
java-javadoc
rpmlib(CompressedFileNames) <= 3.0.4-1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jakarta-commons-cli-1.0-8jpp.1.fc7.src.rpm
(none)[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-developme_64-core-pcheung/result/jakarta-commons-cli-javadoc-1.0-8jpp.1.fc7.noarch.rpm
jakarta-commons-cli-javadoc = 0:1.0-8jpp.1.fc7
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jakarta-commons-cli-javadoc-1.0-8jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

Leaving it assigned to myself as I need to build this in plaque.

Comment 4 Permaine Cheung 2007-03-05 17:00:25 UTC
New Package CVS Request
=======================
Package Name: jakarta-commons-cli
Short Description: A Command Line Interface for Java
Owners: pcheung@redhat.com
Branches: 
InitialCC: 

Comment 5 Josh Boyer 2007-03-06 01:37:06 UTC
This package is already in extras... it's owned by green@redhat.com.  I'm going
to deny the CVS request for now as it shouldn't be needed.

Comment 6 Bernard Johnson 2007-04-11 22:28:51 UTC
Please close as RESOLVE -> NOTABUG if there is going to be no more activity on
this request.

Comment 7 Permaine Cheung 2007-04-16 15:21:14 UTC
Closing bug report


Note You need to log in before you can comment on or make changes to this bug.